# Tourplaner: tourplaner.ui.AlertHelper Class Reference

tourplaner.ui.AlertHelper Class Reference

## Static Public Member Functions

static void | warn (String title, String header, String msg)
static void | inform (String title, String header, String msg)
static void | informNoHeader (String title, String msg)
static void | error (String title, String header, String msg)
static void | exerror (String title, String header, String msg, Exception ex)
static String | inputText (String title, String header, String msg, String content)
static String | inputTextNotNull (String title, String header, String msg, String content, boolean notNull)
static double | inputNumber (String title, String header, String msg, String content)
static LocalDate | datePicker (LocalDate content)
static String | fileChooser (String btn)

## Member Function Documentation

## datePicker()

static LocalDate tourplaner.ui.AlertHelper.datePicker | ( | LocalDate | content | ) |

static

Date Picker Dialog, sobald ein Datum ausgewählt wurde, wird es automatisch bestätigt und der dialog geschlossen

Parameters

  content | Aktuelles datum

Returns
  Gewähltes datum

## error()

static void tourplaner.ui.AlertHelper.error | ( | String | title,
|  | String | header,
|  | String | msg
| ) |  |

static

Error Dialog

Parameters

  title | Title des Dialogs
  header | Header des Dialogs
  msg | Nachricht des Dialogs

## exerror()

static void tourplaner.ui.AlertHelper.exerror | ( | String | title,
|  | String | header,
|  | String | msg,
|  | Exception | ex
| ) |  |

static

Ausgabe einer Exception in einem Dialog

Parameters

  title | Title des Dialogs
  header | Header des Dialogs
  msg | Nachricht des Dialogs
  ex | Die exception die ausgegeben werden soll

## fileChooser()

static String tourplaner.ui.AlertHelper.fileChooser | ( | String | btn | ) |

static

File Auswahl

Parameters

  btn | Text des Speichern/Öffnen Btn

Returns
  String des Files, bei error null

## inform()

static void tourplaner.ui.AlertHelper.inform | ( | String | title,
|  | String | header,
|  | String | msg
| ) |  |

static

Info Dialog

Parameters

  title | Title des Dialogs
  header | Header des Dialogs
  msg | Nachricht des Dialogs

## informNoHeader()

static void tourplaner.ui.AlertHelper.informNoHeader | ( | String | title,
|  | String | msg
| ) |  |

static

Info Dialog ohne Header

Parameters

  title | Title des Dialogs
  msg | Nachricht des Dialogs

## inputNumber()

static double tourplaner.ui.AlertHelper.inputNumber | ( | String | title,
|  | String | header,
|  | String | msg,
|  | String | content
| ) |  |

static

Positive Nummer eingabe. Wenn Convertierung zu int nicht klappt -> -1

Parameters

  title | Title des Dialogs
  header | Header des Dialogs
  msg | Nachricht des Dialogs

Returns
  -1.0 bei error sonst ein double

## inputText()

static String tourplaner.ui.AlertHelper.inputText | ( | String | title,
|  | String | header,
|  | String | msg,
|  | String | content
| ) |  |

static

Texteingabe die nicht leer sein darf

Parameters

  title | Title des Dialogs
  header | Header des Dialogs
  msg | Nachricht des Dialogs

Returns
  Null bei keiner eingabe

## inputTextNotNull()

static String tourplaner.ui.AlertHelper.inputTextNotNull | ( | String | title,
|  | String | header,
|  | String | msg,
|  | String | content,
|  | boolean | notNull
| ) |  |

static

Texteingabe

Parameters

  title | Title des Dialogs
  header | Header des Dialogs
  msg | Nachricht des Dialogs
  notNull | true wenn der input nicht leer sein darf

Returns
  Null bei keiner eingabe

## warn()

static void tourplaner.ui.AlertHelper.warn | ( | String | title,
|  | String | header,
|  | String | msg
| ) |  |

static

Warning Dialog

Parameters

  title | Title des Dialogs
  header | Header des Dialogs
  msg | Nachricht des Dialogs

The documentation for this class was generated from the following file:

- src/tourplaner/ui/AlertHelper.java